wxWidgets: wxPGChoiceEntry Class Reference

| Version: 3.1.5

Public Member Functions | List of all members
wxPGChoiceEntry Class Reference

`#include </home/Hamis/wxwidgets-3.1/wxWidgets3.1-3.1.5-1.i686/src/wxWidgets-3.1.5/interface/wx/propgrid/property.h>`

Inheritance diagram for wxPGChoiceEntry:
[legend]

## Detailed Description

Data of a single wxPGChoices choice.

## Public Member Functions
| wxPGChoiceEntry ()
| wxPGChoiceEntry (const wxPGChoiceEntry &other)
| wxPGChoiceEntry (const wxString &label, int value=wxPG_INVALID_VALUE)
virtual | ~wxPGChoiceEntry ()
void | SetValue (int value)
int | GetValue () const
wxPGChoiceEntry & | operator= (const wxPGChoiceEntry &other)
Public Member Functions inherited from wxPGCell
| wxPGCell ()
| wxPGCell (const wxPGCell &other)
| wxPGCell (const wxString &text, const wxBitmap &bitmap=wxNullBitmap, const wxColour &fgCol=wxNullColour, const wxColour &bgCol=wxNullColour)
virtual | ~wxPGCell ()
wxPGCellData * | GetData ()
const wxPGCellData * | GetData () const
bool | HasText () const
| Returns true if this cell has custom text stored within. More...
void | SetEmptyData ()
| Sets empty but valid data to this cell object. More...
void | MergeFrom (const wxPGCell &srcCell)
| Merges valid data from srcCell into this. More...
void | SetText (const wxString &text)
void | SetBitmap (const wxBitmap &bitmap)
void | SetFgCol (const wxColour &col)
void | SetFont (const wxFont &font)
| Sets font of the cell. More...
void | SetBgCol (const wxColour &col)
const wxString & | GetText () const
const wxBitmap & | GetBitmap () const
const wxColour & | GetFgCol () const
const wxFont & | GetFont () const
| Returns font of the cell. More...
const wxColour & | GetBgCol () const
wxPGCell & | operator= (const wxPGCell &other)
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxPGChoiceEntry() [1/3]

wxPGChoiceEntry::wxPGChoiceEntry | ( |  | ) |

## ◆ wxPGChoiceEntry() [2/3]

wxPGChoiceEntry::wxPGChoiceEntry | ( | const wxPGChoiceEntry & | other | ) |

## ◆ wxPGChoiceEntry() [3/3]

wxPGChoiceEntry::wxPGChoiceEntry | ( | const wxString & | label,
|  | int | value = `wxPG_INVALID_VALUE`
| ) |  |

## ◆ ~wxPGChoiceEntry()

virtual wxPGChoiceEntry::~wxPGChoiceEntry | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ GetValue()

int wxPGChoiceEntry::GetValue | ( |  | ) | const

## ◆ operator=()

wxPGChoiceEntry & wxPGChoiceEntry::operator= | ( | const wxPGChoiceEntry & | other | ) |

## ◆ SetValue()

void wxPGChoiceEntry::SetValue | ( | int | value | ) |